-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-B96;
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/tedw_apps_etl/ctw/pkg/v110/cdw/ddl/ctw_cdw_schema.sql
-- #   Revision: 1.6
-- #   Date: 12/15/2002 19:54:10
-- ##########################################################################
-----------------------------------------------------------------------------
-- Purpose: Create staging tables for metric data to feed  metric dimension table
-----------------------------------------------------------------------------

-- Space Usage at Filegroup level
create table CTW.STG_FGROUP_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254)   ,
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- SQL Server Service Availability
create table CTW.STG_SERVICE_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- Cache/CPU percent usage
create table CTW.STG_SERVER_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- Space Usage at Database Level
create table CTW.STG_DBASE_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- Replication Agent latency of delivery
create table CTW.STG_AGENT_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- Sql Server Replication
create table CTW.STG_REPL_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);

-- Job Category
create table CTW.STG_JOB_METRIC (
   insert_dttm  timestamp,
   metric_id    integer        not null,
   met_name     varchar(254)   not null,
   met_desc     varchar(254)   ,
   met_units    varchar(254)   ,
   met_category varchar(254),
   msrc_nm      varchar(120)   ,
   min_exists   char(1)        not null,
   max_exists   char(1)        not null,
   avg_exists   char(1)        not null,
   total_exists char(1)        not null,
      primary key (metric_id)
);
