-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2003.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: /misc/ctw_delete_reports.db2
-- #   Revision: 1.0
-- #   Date: 6/02/03 17:56:27
-- ############################################################################
--------------------------------------------------------------------------------
--#EXECUTE_AT_TARGET
delete from rpi.relationship
  where rel_type like 'SchemaToDatamart'
    and target_id IN ( select datamart_id from rpi.datamart
                          where datamart_name like 'CTW%' )
;

--#EXECUTE_AT_TARGET
delete from rpi.relationship
  where rel_type like 'SchemaToResourceBundle'
    and target_id like '%CTW%'
;

--#EXECUTE_AT_TARGET
delete from rpi.relationship
  where rel_type like 'ReportToStarSchema'
    and source_id IN ( select r.report_id from  rpi.report r, rpi.datamart d
                         where d.datamart_id=r.datamart_id
                           and datamart_name like '%CTW%' )
;

--#EXECUTE_AT_TARGET
delete from rpi.report
   where report_name in ('Daily Database Space Used (Filegroup) Summary',
                         'Daily Server Availability Extreme Case',
                         'Daily Filegroup Space Usage Health Check',
                         'Daily Replication Agent Latency Health Check',
                         'Daily Server Cpu Usage Extreme Case',
                         'Daily Server Error Message Count Summary',
                         'Daily Database Usage Health Check')
;

--#EXECUTE_AT_TARGET
delete from rpi.query qry
   where qry.report_id = ( select report_id from rpi.report rep
                              where rep.report_name in ('Daily Database Space Used (Filegroup) Summary',
                                                        'Daily Server Availability Extreme Case',
                                                        'Daily Filegroup Space Usage Health Check',
                                                        'Daily Replication Agent Latency Health Check',
                                                        'Daily Server Cpu Usage Extreme Case',
                                                        'Daily Server Error Message Count Summary',
                                                        'Daily Database Usage Health Check')
);

