-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: /tedw_apps_etl/ctw/pkg/v110/etl/sql/ctw_m05_s010_Dimension.db2
-- #   Revision: 1.3
-- #   Date: 12/30/2002 15:01:06
-- ############################################################################

------------------------------------
-- CTW.STG_REPLICATION_METRIC to CTW.D_REPLICATION_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id)
                           from CTW.STG_REPL_METRIC)
                          where extctl_source='CTW.STG_REPL_METRIC'
                            and extctl_target='CTW.D_REPL_METRIC'
                            and ( select count(*) from CTW.STG_REPL_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_REPL_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_REPL_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_REPL_METRIC'
      and ec.extctl_target = 'CTW.D_REPL_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_REPL_METRIC'
      and ec.extctl_target = 'CTW.D_REPL_METRIC'
;
------------------------------------
-- CTW.STG_JOBCATEGORY_METRIC to CTW.D_JOB_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id)
                           from CTW.STG_JOB_METRIC)
                          where extctl_source='CTW.STG_JOB_METRIC'
                            and extctl_target='CTW.D_JOB_METRIC'
                            and ( select count(*) from CTW.STG_JOB_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_JOB_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_JOB_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_JOB_METRIC'
      and ec.extctl_target = 'CTW.D_JOB_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_JOB_METRIC'
      and ec.extctl_target = 'CTW.D_JOB_METRIC'
;
------------------------------------
-- CTW.STG_FGROUP_METRIC to CTW.D_FGROUP_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_FGROUP_METRIC)
      where extctl_source='CTW.STG_FGROUP_METRIC'
        and extctl_target='CTW.D_FGROUP_METRIC'
        and ( select count(*) from CTW.STG_FGROUP_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_FGROUP_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_FGROUP_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_FGROUP_METRIC'
      and ec.extctl_target = 'CTW.D_FGROUP_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_FGROUP_METRIC'
      and ec.extctl_target = 'CTW.D_FGROUP_METRIC'
;
------------------------------------
-- CTW.STG_DBASE_METRIC to CTW.D_DBUSAGE_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_DBASE_METRIC )
      where extctl_source='CTW.STG_DBASE_METRIC'
        and extctl_target='CTW.D_DBUSAGE_METRIC'
        and ( select count(*) from CTW.STG_DBASE_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_DBUSAGE_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_DBASE_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_DBASE_METRIC'
      and ec.extctl_target = 'CTW.D_DBUSAGE_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_DBASE_METRIC'
      and ec.extctl_target = 'CTW.D_DBUSAGE_METRIC'
;
------------------------------------
-- CTW.STG_SERVER_METRIC to CTW.D_SERVERCPUUSAGE_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_SERVER_METRIC )
      where extctl_source='CTW.STG_SERVER_METRIC'
        and extctl_target='CTW.D_SRVUSAGE_METRIC'
        and ( select count(*) from CTW.STG_SERVER_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_SRVUSAGE_METRIC
   select stg.metric_id as metric_id,
          stg.met_category as met_category,
          stg.met_desc as met_desc,
          stg.met_name as met_name,
          stg.met_units as met_units,
          stg.min_exists as min_exists,
          stg.max_exists as max_exists,
          stg.avg_exists as avg_exists,
          stg.total_exists as total_exists,
          stg.msrc_nm as msrc_nm
     from CTW.STG_SERVER_METRIC stg,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_SRVUSAGE_METRIC'
      and stg.metric_id >  ec.extctl_from_intseq
      and stg.metric_id <= ec.extctl_to_intseq
      and stg.met_name in ('MSSQL_Server_Memory_Used',
                           'MSSQL_CPU_Percent_Busy' )
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_SRVUSAGE_METRIC'
;
------------------------------------
-- CTW.STG_AGENT_METRIC to CTW.D_AGENT_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_AGENT_METRIC )
      where extctl_source='CTW.STG_AGENT_METRIC'
        and extctl_target='CTW.D_AGENT_METRIC'
        and ( select count(*) from CTW.STG_AGENT_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_AGENT_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_AGENT_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_AGENT_METRIC'
      and ec.extctl_target = 'CTW.D_AGENT_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_AGENT_METRIC'
      and ec.extctl_target = 'CTW.D_AGENT_METRIC'
;

------------------------------------
-- CTW.STG_SERVICE_METRIC to CTW.D_SRVAVAIL_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_SERVICE_METRIC )
      where extctl_source='CTW.STG_SERVICE_METRIC'
        and extctl_target='CTW.D_SRVAVAIL_METRIC'
        and ( select count(*) from CTW.STG_SERVICE_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_SRVAVAIL_METRIC
   select dim.metric_id as metric_id,
          dim.met_category as met_category,
          dim.met_desc as met_desc,
          dim.met_name as met_name,
          dim.met_units as met_units,
          dim.min_exists as min_exists,
          dim.max_exists as max_exists,
          dim.avg_exists as avg_exists,
          dim.total_exists as total_exists,
          dim.msrc_nm as msrc_nm
     from CTW.STG_SERVICE_METRIC dim,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_SERVICE_METRIC'
      and ec.extctl_target = 'CTW.D_SRVAVAIL_METRIC'
      and dim.metric_id >  ec.extctl_from_intseq
      and dim.metric_id <= ec.extctl_to_intseq
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_SERVICE_METRIC'
      and ec.extctl_target = 'CTW.D_SRVAVAIL_METRIC'
;

------------------------------------
-- CTW.STG_SERVER_METRIC to CTW.D_ERROR_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_SERVER_METRIC )
      where extctl_source='CTW.STG_SERVER_METRIC'
        and extctl_target='CTW.D_ERROR_METRIC'
        and ( select count(*) from CTW.STG_SERVER_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_ERROR_METRIC
   select stg.metric_id as metric_id,
          stg.met_category as met_category,
          stg.met_desc as met_desc,
          stg.met_name as met_name,
          stg.met_units as met_units,
          stg.min_exists as min_exists,
          stg.max_exists as max_exists,
          stg.avg_exists as avg_exists,
          stg.total_exists as total_exists,
          stg.msrc_nm as msrc_nm
     from CTW.STG_SERVER_METRIC stg,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_ERROR_METRIC'
      and stg.metric_id >  ec.extctl_from_intseq
      and stg.metric_id <= ec.extctl_to_intseq
      and stg.met_name in ('MSSQL_Error_Count_Transaction_Log_Full',
                           'MSSQL_Error_Count_Disk_IO_Errors',
                           'MSSQL_Error_Count_Connections_High',
                           'MSSQL_Error_Count_Connections_Failed',
                           'MSSQL_Error_Count_Allocate_Space_Failed',
                           'MSSQL_Error_Count_Transaction_Log_Errors',
                           'MSSQL_Error_Count_Database_Full',
                           'MSSQL_Error_Count_Deadlock_Alert',
                           'MSSQL_Error_Count_Customer_Defined')
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_ERROR_METRIC'
;
------------------------------------
-- CTW.STG_SERVER_METRIC to CTW.D_SRVPERF_METRIC
------------------------------------
update TWG.Extract_Control set
   extctl_to_intseq =  ( select max(metric_id) from CTW.STG_SERVER_METRIC )
      where extctl_source='CTW.STG_SERVER_METRIC'
        and extctl_target='CTW.D_SRVPERF_METRIC'
        and ( select count(*) from CTW.STG_SERVER_METRIC ) > 0
;
--#INSERT_INTO_TARGET
insert into CTW.D_SRVPERF_METRIC
   select stg.metric_id as metric_id,
          stg.met_category as met_category,
          stg.met_desc as met_desc,
          stg.met_name as met_name,
          stg.met_units as met_units,
          stg.min_exists as min_exists,
          stg.max_exists as max_exists,
          stg.avg_exists as avg_exists,
          stg.total_exists as total_exists,
          stg.msrc_nm as msrc_nm
     from CTW.STG_SERVER_METRIC stg,
          TWG.Extract_Control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_SRVPERF_METRIC'
      and stg.metric_id >  ec.extctl_from_intseq
      and stg.metric_id <= ec.extctl_to_intseq
      and stg.met_name not in ('MSSQL_Error_Count_Transaction_Log_Full',
                               'MSSQL_Error_Count_Disk_IO_Errors',
                               'MSSQL_Error_Count_Connections_High',
                               'MSSQL_Error_Count_Connections_Failed',
                               'MSSQL_Error_Count_Allocate_Space_Failed',
                               'MSSQL_Error_Count_Transaction_Log_Errors',
                               'MSSQL_Error_Count_Database_Full',
                               'MSSQL_Error_Count_Deadlock_Alert',
                               'MSSQL_Error_Count_Customer_Defined',
                               'MSSQL_Server_Memory_Used',
                               'MSSQL_CPU_Percent_Busy' )
;
-- confirm the insertion by inserting a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'CTW.STG_SERVER_METRIC'
      and ec.extctl_target = 'CTW.D_SRVPERF_METRIC'
;
-------------------------------------------
-- Insert the component dimensions
-------------------------------------------
------------------------------------
-- IP Host Dimension
-- D_HOST
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(com1.comp_id) from twg.comp com1
                         where com1.comptyp_cd in ('IP_HOST',
                                                   'CTW_HOST',
                                                   'IP_INTERFACE',
                                                   'TME_ENDPOINT') )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_HOST'
     and exists ( select com2.comp_id from twg.comp com2
                   where com2.comptyp_cd in ('IP_HOST',
                                             'CTW_HOST',
                                             'IP_INTERFACE',
                                             'TME_ENDPOINT') )
;
--#INSERT_INTO_TARGET
insert into CTW.D_HOST
   select c1.comp_id as host_id,
          c1.comp_nm as host_name,
          cu.cust_nm as cust_id,
          ce.centr_nm as centr_cd
     from TWG.Comp c1,
          TWG.Cust cu,
          TWG.Centr ce,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_HOST'
      and cu.cust_id  = c1.cust_id
      and ce.centr_cd = c1.centr_cd
      and c1.comp_id >  ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd in ('IP_HOST',
                            'CTW_HOST',
                            'IP_INTERFACE',
                            'TME_ENDPOINT')
;

-- confirm the insertion, insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
          ec.extctl_target as extlog_target,
          current timestamp - current timezone as extlog_done_dttm,
          ec.extctl_from_rawseq as extlog_from_rawseq,
          ec.extctl_to_rawseq as extlog_to_rawseq,
          ec.extctl_from_intseq as extlog_from_intseq,
          ec.extctl_to_intseq as extlog_to_intseq,
          ec.extctl_from_dttm as extlog_from_dttm,
          ec.extctl_to_dttm as extlog_to_dttm
     from TWG.Extract_control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_HOST'
;
------------------------------------
-- Sql Server Replication Dimension
-- D_REPLICATION
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_REPLICATION' )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_REPLICATION'
     and exists ( select c2.comp_id from twg.comp c2
                   where c2.comptyp_cd = 'CTW_REPLICATION' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_REPLICATION
   select c1.comp_id as replication_id,
          c1.comp_nm as database_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_REPLICATION'
      and c1.comp_id > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd ='CTW_REPLICATION'
;

-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_REPLICATION';

------------------------------------
-- Job Category Dimension
-- D_JOBCATEGORY
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_JOBCATEGORY' )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_JOBCATEGORY'
     and exists ( select c2.comp_id from twg.comp c2
                   where c2.comptyp_cd = 'CTW_JOBCATEGORY' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_JOBCATEGORY
   select c1.comp_id as jobcategory_id,
          c1.comp_nm as jobcategory
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_JOBCATEGORY'
      and c1.comp_id > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd ='CTW_JOBCATEGORY'
;

-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_JOBCATEGORY';

------------------------------------
-- Database Dimension
-- D_FILEGROUP
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_FILEGROUP' )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_FILEGROUP'
     and exists ( select c2.comp_id from twg.comp c2
                   where c2.comptyp_cd = 'CTW_FILEGROUP' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_FILEGROUP
   select c1.comp_id as filegroup_id,
          c1.comp_nm as filegroup_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_FILEGROUP'
      and c1.comp_id > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd ='CTW_FILEGROUP'
;

-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_FILEGROUP';

------------------------------------
-- Database Dimension
-- D_DATABASE
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_DATABASE' )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_DATABASE'
     and exists ( select c2.comp_id from twg.comp c2
                   where c2.comptyp_cd = 'CTW_DATABASE' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_DATABASE
   select c1.comp_id as database_id,
          c1.comp_nm as database_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_DATABASE'
      and c1.comp_id > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd ='CTW_DATABASE'
;

-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_DATABASE';

------------------------------------
-- MSSQL Instance Dimension
-- D_INSTANCE
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_INSTANCE')
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_INSTANCE'
     and exists ( select c2.comp_id from TWG.Comp c2
                  where c2.comptyp_cd  = 'CTW_INSTANCE' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_INSTANCE
   select c1.comp_id as instance_id,
          c1.comp_nm as instance_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_INSTANCE'
      and c1.comp_id    > ec.extctl_from_intseq
      and c1.comp_id    <= ec.extctl_to_intseq
      and c1.comptyp_cd  = 'CTW_INSTANCE'
;
-- group by
--  c1.comp_id, c1.comp_nm, ca1.compattr_val
-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_INSTANCE';

------------------------------------
-- MSSQL Service Dimension
-- D_SERVICE
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
   extctl_to_intseq = ( select max(c1.comp_id) from twg.comp c1
                         where c1.comptyp_cd ='CTW_SERVICE' )
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_SERVICE'
     and exists ( select c2.comp_id from twg.comp c2
                   where c2.comptyp_cd = 'CTW_SERVICE' )
;
--#INSERT_INTO_TARGET
insert into CTW.D_SERVICE
   select c1.comp_id as service_id,
          c1.comp_nm as service_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_SERVICE'
      and c1.comp_id > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd ='CTW_SERVICE'
;

-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_SERVICE';

------------------------------------
-- MSSQL Agent Dimension
-- D_AGENT
------------------------------------
-- Get the high value for the window
update TWG.Extract_Control set
 extctl_to_intseq = (select max(c1.comp_id) from TWG.Comp c1
                      where c1.comptyp_cd = 'CTW_AGENT')
   where extctl_source='TWG.COMP'
     and extctl_target='CTW.D_AGENT'
     and exists ( select c2.comp_id from TWG.Comp c2
                   where c2.comptyp_cd  = 'CTW_AGENT' )
                   ;
--#INSERT_INTO_TARGET
insert into CTW.D_AGENT
   select c1.comp_id as agent_id,
          c1.comp_nm as agent_name
     from TWG.Comp c1,
          TWG.Extract_Control ec
    where ec.extctl_source = 'TWG.COMP'
      and ec.extctl_target = 'CTW.D_AGENT'
      and c1.comp_id  > ec.extctl_from_intseq
      and c1.comp_id <= ec.extctl_to_intseq
      and c1.comptyp_cd    = 'CTW_AGENT'
;
-- confirm the insertion
-- insert a row in the TWG.EXTRACT_LOG
insert into twg.extract_log
   select ec.extctl_source as extlog_source,
       ec.extctl_target as extlog_target,
       current timestamp - current timezone as extlog_done_dttm,
       ec.extctl_from_rawseq as extlog_from_rawseq,
       ec.extctl_to_rawseq as extlog_to_rawseq,
       ec.extctl_from_intseq as extlog_from_intseq,
       ec.extctl_to_intseq as extlog_to_intseq,
       ec.extctl_from_dttm as extlog_from_dttm,
       ec.extctl_to_dttm as extlog_to_dttm
  from TWG.Extract_control ec
 where ec.extctl_source = 'TWG.COMP'
   and ec.extctl_target = 'CTW.D_AGENT';

