-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: tedw_apps_etl/ctw/pkg/v110/etl/sql/ctw_m05_s040_Prune.db2
-- #   Revision: 1.0
-- #   Date: 12/30/02 14:19:30
-- ############################################################################
-------------------------------------------------
-- CTW.F_JOB_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_JOB_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_JOB_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_JOB_HOUR'),
           ( select count(*) from CTW.F_JOB_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_JOB_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_JOB_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_JOB_HOUR');

-------------------------------------------------
-- CTW.F_REPL_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_REPL_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_REPL_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_REPL_HOUR'),
           ( select count(*) from CTW.F_REPL_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_REPL_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_REPL_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_REPL_HOUR');

-------------------------------------------------
-- CTW.F_SRVAVAIL_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_SRVAVAIL_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVAVAIL_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVAVAIL_HOUR'),
           ( select count(*) from CTW.F_SRVAVAIL_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_SRVAVAIL_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVAVAIL_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_SRVAVAIL_HOUR');
-------------------------------------------------
-- CTW.F_DBUSED_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_DBUSED_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_DBUSED_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_DBUSED_HOUR'),
           ( select count(*) from CTW.F_DBUSED_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_DBUSED_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_DBUSED_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_DBUSED_HOUR');
-------------------------------------------------
-- CTW.F_SRVUSAGE_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_SRVUSAGE_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVUSAGE_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVUSAGE_HOUR'),
           ( select count(*) from CTW.F_SRVUSAGE_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVUSAGE_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVUSAGE_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVUSAGE_HOUR');

-------------------------------------------------
-- CTW.F_ERROR_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_ERROR_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_ERROR_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_ERROR_HOUR'),
           ( select count(*) from CTW.F_ERROR_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_ERROR_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_ERROR_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_ERROR_HOUR');

-------------------------------------------------
-- CTW.F_AGENT_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_AGENT_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_AGENT_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_AGENT_HOUR'),
           ( select count(*) from CTW.F_AGENT_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_AGENT_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_AGENT_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_AGENT_HOUR');

-------------------------------------------------
-- CTW.F_SRVPERF_HOUR
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_SRVPERF_HOUR
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVPERF_HOUR',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVPERF_HOUR'),
           ( select count(*) from CTW.F_SRVPERF_HOUR fct
              where  (date(current timestamp - current timezone) - date (fct.meas_hour)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVPERF_HOUR') ) )
;
--pruning of the hourly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVPERF_HOUR fct
 where (date(current timestamp - current timezone) - date(fct.meas_hour)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVPERF_HOUR');

-------------------------------------------------
-- CTW.F_JOB_DAY
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_JOB_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_JOB_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_JOB_DAY'),
           ( select count(*) from CTW.F_JOB_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_JOB_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_JOB_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_JOB_DAY');

-------------------------------------------------
-- CTW.F_REPL_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_REPL_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_REPL_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_REPL_DAY'),
           ( select count(*) from CTW.F_REPL_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_REPL_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_REPL_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_REPL_DAY');

-------------------------------------------------
-- CTW.F_SRVAVAIL_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVAVAIL_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVAVAIL_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVAVAIL_DAY'),
           ( select count(*) from CTW.F_SRVAVAIL_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVAVAIL_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVAVAIL_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVAVAIL_DAY');
-------------------------------------------------
-- CTW.F_DBUSED_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_DBUSED_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_DBUSED_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_DBUSED_DAY'),
           ( select count(*) from CTW.F_DBUSED_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_DBUSED_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_DBUSED_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_DBUSED_DAY');
-------------------------------------------------
-- CTW.F_SRVUSAGE_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVUSAGE_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVUSAGE_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVUSAGE_DAY'),
           ( select count(*) from CTW.F_SRVUSAGE_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVUSAGE_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVUSAGE_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVUSAGE_DAY');
-------------------------------------------------
-- CTW.F_ERROR_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_ERROR_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_ERROR_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_ERROR_DAY'),
           ( select count(*) from CTW.F_ERROR_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_ERROR_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_ERROR_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_ERROR_DAY');
-------------------------------------------------
-- CTW.F_AGENT_DAY
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_AGENT_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_AGENT_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_AGENT_DAY'),
           ( select count(*) from CTW.F_AGENT_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_AGENT_DAY') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_AGENT_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_AGENT_DAY');

-------------------------------------------------
-- CTW.F_SRVPERF_DAY
------------------------------------------------
--log the pruning of the daily fact table CTW.F_SRVPERF_DAY
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVPERF_DAY',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVPERF_DAY'),
           ( select count(*) from CTW.F_SRVPERF_DAY fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVPERF_DAY') ) )
;
--pruning of the daily fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVPERF_DAY fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVPERF_DAY');

-------------------------------------------------
-- CTW.F_JOB_WEEK
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_JOB_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_JOB_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_JOB_WEEK'),
           ( select count(*) from CTW.F_JOB_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_JOB_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_JOB_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_JOB_WEEK');

-------------------------------------------------
-- CTW.F_REPL_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_REPL_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_REPL_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_REPL_WEEK'),
           ( select count(*) from CTW.F_REPL_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_REPL_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_REPL_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_REPL_WEEK');

-------------------------------------------------
-- CTW.F_SRVAVAIL_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVAVAIL_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVAVAIL_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVAVAIL_WEEK'),
           ( select count(*) from CTW.F_SRVAVAIL_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVAVAIL_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVAVAIL_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVAVAIL_WEEK');
-------------------------------------------------
-- CTW.F_DBUSED_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_DBUSED_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_DBUSED_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_DBUSED_WEEK'),
           ( select count(*) from CTW.F_DBUSED_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_DBUSED_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_DBUSED_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_DBUSED_WEEK');
-------------------------------------------------
-- CTW.F_SRVUSAGE_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVUSAGE_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVUSAGE_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVUSAGE_WEEK'),
           ( select count(*) from CTW.F_SRVUSAGE_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVUSAGE_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVUSAGE_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVUSAGE_WEEK');
-------------------------------------------------
-- CTW.F_ERROR_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_ERROR_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_ERROR_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_ERROR_WEEK'),
           ( select count(*) from CTW.F_ERROR_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_ERROR_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_ERROR_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_ERROR_WEEK');
-------------------------------------------------
-- CTW.F_AGENT_WEEK
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_AGENT_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_AGENT_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_AGENT_WEEK'),
           ( select count(*) from CTW.F_AGENT_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_AGENT_WEEK') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_AGENT_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_AGENT_WEEK');

-------------------------------------------------
-- CTW.F_SRVPERF_WEEK
------------------------------------------------
--log the pruning of the weekly fact table CTW.F_SRVPERF_WEEK
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVPERF_WEEK',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVPERF_WEEK'),
           ( select count(*) from CTW.F_SRVPERF_WEEK fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVPERF_WEEK') ) )
;
--pruning of the weekly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVPERF_WEEK fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVPERF_WEEK');

-------------------------------------------------
-- CTW.F_JOB_MONTH
------------------------------------------------
--log the pruning of the hourly fact table CTW.F_JOB_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_JOB_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_JOB_MONTH'),
           ( select count(*) from CTW.F_JOB_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_JOB_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_JOB_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_JOB_MONTH');

-------------------------------------------------
-- CTW.F_REPL_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_REPL_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_REPL_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_REPL_MONTH'),
           ( select count(*) from CTW.F_REPL_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name ='CTW.F_REPL_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_REPL_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name = 'CTW.F_REPL_MONTH');

-------------------------------------------------
-- CTW.F_SRVAVAIL_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVAVAIL_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVAVAIL_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVAVAIL_MONTH'),
           ( select count(*) from CTW.F_SRVAVAIL_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVAVAIL_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVAVAIL_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVAVAIL_MONTH');
-------------------------------------------------
-- CTW.F_DBUSED_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_DBUSED_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_DBUSED_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_DBUSED_MONTH'),
           ( select count(*) from CTW.F_DBUSED_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_DBUSED_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_DBUSED_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_DBUSED_MONTH');
-------------------------------------------------
-- CTW.F_SRVUSAGE_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_SRVUSAGE_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVUSAGE_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVUSAGE_MONTH'),
           ( select count(*) from CTW.F_SRVUSAGE_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVUSAGE_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVUSAGE_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVUSAGE_MONTH');
-------------------------------------------------
-- CTW.F_ERROR_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_ERROR_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_ERROR_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_ERROR_MONTH'),
           ( select count(*) from CTW.F_ERROR_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_ERROR_MONTH') ) )
;
--pruning of the DAYly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_ERROR_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_ERROR_MONTH');

-------------------------------------------------
-- CTW.F_AGENT_MONTH
------------------------------------------------
--log the pruning of the DAYly fact table CTW.F_AGENT_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_AGENT_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_AGENT_MONTH'),
           ( select count(*) from CTW.F_AGENT_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_AGENT_MONTH') ) )
;
--pruning of the monthly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_AGENT_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_AGENT_MONTH');

-------------------------------------------------
-- CTW.F_SRVPERF_MONTH
------------------------------------------------
--log the pruning of the monthly fact table CTW.F_SRVPERF_MONTH
--#EXECUTE_AT_TARGET
insert into CTW.Prune_Mart_log
  values ( current timestamp - current timezone,
           'CTW.F_SRVPERF_MONTH',
           ( select PMartC_Duration from CTW.Prune_Mart_Control
              where Table_Name='CTW.F_SRVPERF_MONTH'),
           ( select count(*) from CTW.F_SRVPERF_MONTH fct
              where  (date(current timestamp - current timezone) - date (fct.meas_date)) >
                 ( select PMartC_Duration from CTW.Prune_Mart_Control pru
                    where pru.Table_Name='CTW.F_SRVPERF_MONTH') ) )
;
--pruning of the monthly fact table
--#EXECUTE_AT_TARGET
delete from CTW.F_SRVPERF_MONTH fct
 where (date(current timestamp - current timezone) - date(fct.meas_date)) >
       (select PMartC_Duration from CTW.Prune_Mart_Control pru
         where pru.Table_Name= 'CTW.F_SRVPERF_MONTH');
