-- ctw_mart_schema.sql
-----------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-B96
--
-- (C) COPYRIGHT IBM CORP. 2002. ALL RIGHTS RESERVED.
--
-- US Government Users Restricted Rights - Use, duplication, or
-- discolosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
-----------------------------------------------------------------------
--
-- File Information: /mart/ddl/ctw_mart_dschema.sql
-- Revision: 1.27
-- Date: 12/15/2002 19:33:47
-- Description: Create twh_mart tables
-- IBM Tivoli Monitoriting for Databases, Version 5.1.0: Microsoft SQL Server
--
--   where instance_id = twg_comp_ids.instance_id
-- ;
--
--
alter table ctw.f_fgroup_hour add host_id integer;

-- new index
create index f_fg_hr7 on ctw.f_fgroup_hour (host_id);

-- foreign keys
alter table ctw.f_fgroup_hour
   add constraint  ctw_01_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_fgroup_day add host_id integer;

-- new index
create index f_fg_dy7 on ctw.f_fgroup_day (host_id);

-- foreign keys
alter table ctw.f_fgroup_day
   add constraint  ctw_02_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;

-- add new column
alter table ctw.f_fgroup_week add host_id integer;

-- new index
create index f_fg_wk7 on ctw.f_fgroup_week (host_id);

-- foreign keys
alter table ctw.f_fgroup_week
   add constraint  ctw_03_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;

-- add new column
alter table ctw.f_fgroup_month add host_id integer;

-- new index
create index f_fg_mo7 on ctw.f_fgroup_month (host_id);

-- foreign keys
alter table ctw.f_fgroup_month
   add constraint  ctw_04_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines service availability hourly mart tables
-------------------------------------------------------------
-- add new column
alter table ctw.f_srvavail_hour add host_id integer;

-- new index
create index f_sa_hr5 on ctw.f_srvavail_hour (host_id);

-- foreign keys
alter table ctw.f_srvavail_hour
   add constraint  ctw_05_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvavail_day add host_id integer;

-- new index
create index f_sa_dy5 on ctw.f_srvavail_day (host_id);

-- foreign keys
alter table ctw.f_srvavail_day
   add constraint  ctw_06_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvavail_week add host_id integer;

-- new index
create index f_sa_wk5 on ctw.f_srvavail_week (host_id);

-- foreign keys
alter table ctw.f_srvavail_week
   add constraint  ctw_07_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvavail_month add host_id integer;

-- new index
create index f_sa_mo5 on ctw.f_srvavail_month (host_id);

-- foreign keys
alter table ctw.f_srvavail_month
   add constraint  ctw_08_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines database average percent used mart tables
-------------------------------------------------------------
-- add new column
alter table ctw.f_dbused_hour add host_id integer;

-- new index
create index f_dbu_hr6 on ctw.f_dbused_hour (host_id);

-- foreign keys
alter table ctw.f_dbused_hour
   add constraint  ctw_09_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;

-- add new column
alter table ctw.f_dbused_day add host_id integer;

-- new index
create index f_dbu_dy6 on ctw.f_dbused_day (host_id);

-- foreign keys
alter table ctw.f_dbused_day
   add constraint  ctw_10_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;

-- add new column
alter table ctw.f_dbused_week add host_id integer;

-- new index
create index f_dbu_wk6 on ctw.f_dbused_week (host_id);

-- foreign keys
alter table ctw.f_dbused_week
   add constraint  ctw_11_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;

-- add new column
alter table ctw.f_dbused_month add host_id integer;

-- new index
create index f_dbu_mo6 on ctw.f_dbused_month (host_id);

-- foreign keys
alter table ctw.f_dbused_month
   add constraint  ctw_12_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines sql server cpu percenet usage mart tables
-------------------------------------------------------------
-- add new column
alter table ctw.f_srvusage_hour add host_id integer;

-- new index
create index f_sp_hr5 on ctw.f_srvusage_hour (host_id);

-- foreign keys
alter table ctw.f_srvusage_hour
   add constraint  ctw_13_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvusage_day add host_id integer;

-- new index
create index f_sp_dy5 on ctw.f_srvusage_day (host_id);

-- foreign keys
alter table ctw.f_srvusage_day
   add constraint  ctw_14_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvusage_week add host_id integer;

-- new index
create index f_sp_wk5 on ctw.f_srvusage_week (host_id);

-- foreign keys
alter table ctw.f_srvusage_week
   add constraint  ctw_15_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvusage_month add host_id integer;

-- new index
create index f_sp_mo5 on ctw.f_srvusage_month (host_id);

-- foreign keys
alter table ctw.f_srvusage_month
   add constraint  ctw_16_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines error messages mart tables
-------------------------------------------------------------
-- add new column
alter table ctw.f_error_hour add host_id integer;

-- new index
create index f_er_hr5 on ctw.f_error_hour (host_id);

-- foreign keys
alter table ctw.f_error_hour
   add constraint  ctw_17_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_error_day add host_id integer;

-- new index
create index f_er_dy5 on ctw.f_error_day (host_id);

-- foreign keys
alter table ctw.f_error_day
   add constraint  ctw_18_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_error_week add host_id integer;

-- new index
create index f_er_wk5 on ctw.f_error_week (host_id);

-- foreign keys
alter table ctw.f_error_week
   add constraint  ctw_19_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_error_month add host_id integer;

-- new index
create index f_er_mo5 on ctw.f_error_month (host_id);

-- foreign keys
alter table ctw.f_error_month
   add constraint  ctw_20_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines replication delivery latency hourly mart tables
-------------------------------------------------------------
-- add new column
alter table ctw.f_agent_hour add host_id integer;

-- new index
create index f_ag_hr6 on ctw.f_agent_hour (host_id);

-- foreign keys
alter table ctw.f_agent_hour
   add constraint  ctw_21_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_agent_day add host_id integer;

-- new index
create index f_ag_dy6 on ctw.f_agent_day (host_id);

-- foreign keys
alter table ctw.f_agent_day
   add constraint  ctw_22_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_agent_week add host_id integer;

-- new index
create index f_ag_wk6 on ctw.f_agent_week (host_id);

-- foreign keys
alter table ctw.f_agent_week
   add constraint  ctw_23_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_agent_month add host_id integer;

-- new index
create index f_ag_mo6 on ctw.f_agent_month (host_id);

-- foreign keys
alter table ctw.f_agent_month
   add constraint  ctw_24_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines replication transaction rates
-------------------------------------------------------------
-- add new column
alter table ctw.f_repl_hour add host_id integer;

-- new index
create index f_rp_hr6 on ctw.f_repl_hour (host_id);

-- foreign keys
alter table ctw.f_repl_hour
   add constraint  ctw_25_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_repl_day add host_id integer;

-- new index
create index f_rp_dy6 on ctw.f_repl_day (host_id);

-- foreign keys
alter table ctw.f_repl_day
   add constraint  ctw_26_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_repl_week add host_id integer;

-- new index
create index f_rp_wk6 on ctw.f_repl_week (host_id);

-- foreign keys
alter table ctw.f_repl_week
   add constraint  ctw_27_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_repl_month add host_id integer;

-- new index
create index f_rp_mo6 on ctw.f_repl_month (host_id);

-- foreign keys
alter table ctw.f_repl_month
   add constraint  ctw_28_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines job category metrics
-------------------------------------------------------------
-- add new column
alter table ctw.f_job_hour add host_id integer;

-- new index
create index f_jb_hr6 on ctw.f_job_hour (host_id);

-- foreign keys
alter table ctw.f_job_hour
   add constraint  ctw_29_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_job_day add host_id integer;

-- new index
create index f_jb_dy6 on ctw.f_job_day (host_id);

-- foreign keys
alter table ctw.f_job_day
   add constraint  ctw_30_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_job_week add host_id integer;

-- new index
create index f_jb_wk6 on ctw.f_job_week (host_id);

-- foreign keys
alter table ctw.f_job_week
   add constraint  ctw_31_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_job_month add host_id integer;

-- new index
create index f_jb_mo6 on ctw.f_job_month (host_id);

-- foreign keys
alter table ctw.f_job_month
   add constraint  ctw_32_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-------------------------------------------------------------
-- *** begin section which defines sql server performance metrics
-------------------------------------------------------------
-- add new column
alter table ctw.f_srvperf_hour add host_id integer;

-- new index
create index f_sv_hr5 on ctw.f_srvperf_hour (host_id);

-- foreign keys
alter table ctw.f_srvperf_hour
   add constraint  ctw_33_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvperf_day add host_id integer;

-- new index
create index f_sv_dy5 on ctw.f_srvperf_day (host_id);

-- foreign keys
alter table ctw.f_srvperf_day
   add constraint  ctw_34_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvperf_week add host_id integer;

-- new index
create index f_sv_wk5 on ctw.f_srvperf_week (host_id);

-- foreign keys
alter table ctw.f_srvperf_week
   add constraint  ctw_35_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
-- add new column
alter table ctw.f_srvperf_month add host_id integer;

-- new index
create index f_sv_mo5 on ctw.f_srvperf_month (host_id);

-- foreign keys
alter table ctw.f_srvperf_month
   add constraint  ctw_36_host_id
   foreign key (host_id)
   references ctw.d_host (host_id)
   on delete no action
   on update no action
;
