#!/bin/sh
############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2003.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: /misc/ctw_after_script.sh
#   Revision: 1.0
#   Date: 6/1/03 23:30:58
############################################################################

echo "        ** Before Script Log **          "
echo ""
echo "****************************************"
echo "* Application Before Script Start point *"
echo "****************************************"
echo ""

# Set parms
echo "      Parm 1 = $1"; TWH_CONFIG_FILE="$1"; export TWH_CONFIG_FILE
echo "      Parm 2 = $2"; APP_WORK_DIR="$2"; export APP_WORK_DIR
echo ""

# Execute startup driver for beforescript
. "$TWH_TOPDIR"/install/bin/twh_core_startup_after.sh
exec_startup_driver;

# DB2USER=db2
# DB2PASS=carped
# COPT_CTRL_DB2PASS=carped
# COPT_CDW_DB2PASS=carped
# COPT_MART_DB2PASS=carped
# TWH_CTRL_DB=TWH_MD
# TRGDB=TWH_DB

# Parameters
AVACODE="CTW"
SCRIPTNAME="ctw_delete_reports"
SRCDB=$TWH_CTRL_DB
SRCUSER=$DB2USER
SRCPWD=$COPT_CTRL_DB2PASS
TRGDB=$TWH_CTRL_DB
TRGUSER=$DB2USER
TRGPWD=$COPT_CTRL_DB2PASS

# start debug
# set -x
echo "TWH directory $TWH_TOPDIR  ..."
  # if no marker exists then it is tdw 12 so do nothing
  if [ ! -f "$TWH_TOPDIR"/.twh_core_v1.1.2.marker -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.3.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.4.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.5.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.6.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.7.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.8.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.9.marker  -a ! -f "$TWH_TOPDIR"/.twh_core_v1.1.10.marker  ]; then
    # do nothing
      echo "TDW 1.2 is installed"
      echo "Program will continue"
  else
    echo $AVACODE $SCRIPTNAME $SRCDB $SRCUSER $SRCPWD $TRGDB $TRGUSER $TRGPWD
    echo "Running sqlscript.sh"
    DELSCRIPT="sqlscript.sh"

    # Run execsql via sqlscript.sh
    bash $DELSCRIPT $AVACODE $SCRIPTNAME $SRCDB $SRCUSER $SRCPWD $TRGDB $TRGUSER $TRGPWD
  fi    
  
  CTY_MISC_DIR="$APP_WORK_DIR/misc"
  tmp_sql_file="restjobmetrics.sql"
  
  echo "==> Removing MIN, MAX, AVG for job metrics"
  echo $tmp_sql_file
  echo $CTY_MISC_DIR

  echo "connect to $TWH_CDW_DB user $COPT_CDW_DB2USER using $COPT_CDW_DB2PASS;" > "$CTY_MISC_DIR/$tmp_sql_file";
  cat "$CTY_MISC_DIR/reset_CTY_job_metrics.sql" >> "$CTY_MISC_DIR/$tmp_sql_file"
  err_txt = `$DB2EXEC -xtf "\"$CTY_MISC_DIR\""/$tmp_sql_file`

  echo $err_txt
  
  ret = $?
  if [ $ret -gt 2 ] ; then
    echo "      (F) Unable to remove the CTY group types"
    echo "      Error is : $err_txt"
    echo "      Errors detected but instructed to continue..."
  else
    rm -f "$TMPDIR/$tmp_sql_file"
    echo "      (I) Min, Max and Avg removed for job metrics. Program will continue."
  fi
  
exit 0
